<div id="div_21">
<table style="width:100%;position:relative;top:+3px;"><tr><td class="jst">
<p class="sm">Для получания более подробной информации, воспользуйтесь формой обратной связи, расположенной в самом низу страницы сайта. Мы обязательно ответим на все интересующие вас вопросы. Приблизительные цены на предоставляемые нами услуги можно просмотреть <a class="bld" title="Наши цены" href="/price.php">здесь</a></p>
<p><span class="div_bbig">Наши проекты</span></p>

<FORM class="black_block sm" style="color:#FCCE92;font-size: smaller;" METHOD="POST" id="fchangedirect" action="http://www.onestyle.com.ua/<?php echo $_SERVER['SCRIPT_NAME'];?>#fchangedirect">
<select class="cinline" name="direct_job" onchange="javascript:document.getElementById('fchangedirect').submit();">
<option>Выберите направление</option>
<?php 
if (isset($_GET['d'])){$_POST['direct_job'] = $_GET['d'];}

for($k=1;$k<=count($odirection);$k++){
	if ($odirection[$k][2] == ($_GET['p'] - 11)){
?>
<option value="<?php echo $k; ?>" <?php if ($_POST['direct_job'] == $k) {echo "selected";} ?>><?php echo $odirection[$k][0]; ?></option>
<?php 
	}
}
?>
</select>
<?php genfndf("in_orderby"); ?></FORM>
<?php
if (isset($_POST['direct_job']) && ($_POST['direct_job'] <> "Выберите направление")){
	$_POST['direct_job'] = intval($_POST['direct_job']);
	if (isset($_GET['tag'])){
		$query = "select obd_0.name, obd_0.desk, obd_0.jobid, obd_0.directionid, tblTag_0.p_tag from obd_0, tblTag_0 where obd_0.directionid = " . $_POST['direct_job'] . " and tblTag_0.p_tag = " . $_GET['tag'] . " and tblTag_0.word_id = obd_0.jobid";
	}else{
		$query = "select name, desk, jobid, directionid from obd_0 where directionid = " . $_POST['direct_job'];
	}
$query .= " ORDER BY ";
switch($_POST['in_orderby']){
case "2": $query .= "jobid asc";break;
case "3": $query .= "name desc";break;
case "4": $query .= "name asc";break;
default: $query .= "jobid desc";break;
}

	//проверка лимита
	$result = mysql_query($query);
	$z = mysql_num_rows($result);
	if (isset($_GET['l'])){$query .= " limit " .$_GET['l'] . "," . $cur_list_numb;}else{$query = $query . " limit 0," . $cur_list_numb;}
	$result = mysql_query($query);
	$num_result = mysql_num_rows($result);
?>
<div class="black_block_c">
<?php
	if ($num_result){
	for ($i=0; $i<$num_result; $i++){
		$row = mysql_fetch_array($result);
require "../find_project.php";
	}
	}else{
		if ($_POST['direct_job'] == 1){
			echo '<div class="p_block">&nbsp;</div><center>Все проекты, связанные с дизайном интерьеров, представлены в <a class="sm" href="galary.php?u=0">галерее</a>.<br /><br /></center>';
		}else{none_project();}
	}
?>
</div>
<?php
require "../find_project_res.php";
}
?>
</td><td class="sm hlpcol" style="padding:0px 5px;">
<?php allblock("newsit", 4); ?>
</td></tr></table>
</div>